Minimum Stay Arrival Rate Plan Level
1 min
Minimum Stay Arrival
Pushes Minimum Length of Stay (LOS) on arrival condition updates from Connectivity Partner to Bakuun.
This action communicates minimum stay arrival rules for one or more rooms and date ranges.
Ensures that Bakuun updates and aligns restrictions whenever a hotel creates new stay-length conditions or modifies existing ones.
POST
https://wsb.bakuun.com/v2/push-ari/CPBXX/XXXX
Body Parameters
- sharePoststringrequiredDescription
- sourceIdstringrequiredDescription
- propertyIdstringrequiredDescription
- actionstringrequiredDescription
- dataobjectrequiredDescription
- startDateYmdstringrequiredDescription
- endDateYmdstringrequiredDescription
- roomIdstringrequiredDescription
- rateIdstringrequiredDescription
- minMaxMessageTypestringrequiredDescription
- TimestringrequiredDescription
Response
- successboolean
- trackingIdstring
json
{
"sharePost": "string",
"sourceId": "string",
"propertyId": "string",
"action": "SetArrivalLosCondRQ",
"data": [
{
"startDateYmd": "YYYY-MM-DD",
"endDateYmd": "YYYY-MM-DD",
"roomId": "string",
"rateId": "string",
"minMaxMessageType": "MinLOS Arrival"
"Time": "string"
}
]
}curl
curl --location 'https://wsb.bakuun.com/v2/push-ari/CPB46/881826' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"sharePost": "String",
"sourceId": "String",
"propertyId": "String",
"action": "String",
"data": {
"startDateYmd": "",
"endDateYmd": "",
"roomId": "",
"rateId": "",
"minMaxMessageType": "",
"Time": ""
}
}'nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://wsb.bakuun.com/v2/push-ari/CPB46/881826',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"sharePost": "String",
"sourceId": "String",
"propertyId": "String",
"action": "String",
"data": {
"startDateYmd": "",
"endDateYmd": "",
"roomId": "",
"rateId": "",
"minMaxMessageType": "",
"Time": ""
}
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"sharePost": "String",
"sourceId": "String",
"propertyId": "String",
"action": "String",
"data": {
"startDateYmd": "",
"endDateYmd": "",
"roomId": "",
"rateId": "",
"minMaxMessageType": "",
"Time": ""
}
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://wsb.bakuun.com/v2/push-ari/CPB46/881826", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://wsb.bakuun.com/v2/push-ari/CPB46/881826"
payload = json.dumps({
"sharePost": "String",
"sourceId": "String",
"propertyId": "String",
"action": "String",
"data": {
"startDateYmd": "",
"endDateYmd": "",
"roomId": "",
"rateId": "",
"minMaxMessageType": "",
"Time": ""
}
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://wsb.bakuun.com/v2/push-ari/CPB46/881826")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"sharePost": "String",
"sourceId": "String",
"propertyId": "String",
"action": "String",
"data": {
"startDateYmd": "",
"endDateYmd": "",
"roomId": "",
"rateId": "",
"minMaxMessageType": "",
"Time": ""
}
})
response = https.request(request)
puts response.read_body
200
{
"success": true,
"trackingId": "68c168dd04829387650a476d"
}402
{
"success": false,
"errors": [
{
"code": 402,
"message": "Invalid parameter"
}
],
"trackingId": "68c168dd04829387650a476d"
}404
{
"success": false,
"errors": [
{
"code": 404,
"message": "Invalid start date"
}
]
}405
{
"success": false,
"errors": [
{
"code": 405,
"message": "Invalid end date"
}
],
"trackingId": "68c168dd04829387650a476d"
}408
{
"success": false,
"errors": [
{
"code": 408,
"message": "Processing error"
}
],
"trackingId": "68c168dd04829387650a476d"
}415
{
"success": false,
"errors": [
{
"code": 415,
"message": "Invalid authentication key"
}
],
"trackingId": "68c168dd04829387650a476d"
}416
{
"success": false,
"errors": [
{
"code": 416,
"message": "Overlapping data range"
}
],
"trackingId": "68c168dd04829387650a476d"
}417
{
"success": false,
"errors": [
{
"code": 440,
"message": "Invalid source ID"
}
],
"trackingId": "68c168dd04829387650a476d"
}418
{
"success": false,
"errors": [
{
"code": 442,
"message": "Endpoint is not active"
}
],
"trackingId": "68c168dd04829387650a476d"
}421
{
"success": false,
"errors": [
{
"code": 446,
"message": "Invalid property mapping"
}
],
"trackingId": "68c168dd04829387650a476d"
}422
{
"success": false,
"errors": [
{
"code": 451,
"message": "Invalid room mapping"
}
],
"trackingId": "68c168dd04829387650a476d"
}423
{
"success": false,
"errors": [
{
"code": 453,
"message": "Mapping is not active"
}
],
"trackingId": "68c168dd04829387650a476d"
}424
{
"success": false,
"errors": [
{
"code": 454,
"message": "Invalid endpoint"
}
],
"trackingId": "68c168dd04829387650a476d"
}425
{
"success": false,
"errors": [
{
"code": 471,
"message": "Channel ID blocked"
}
],
"trackingId": "68c168dd04829387650a476d"
}426
{
"success": false,
"errors": [
{
"code": 453,
"message": "Mapping is not active"
}
],
"trackingId": "68c168dd04829387650a476d"
}428
{
"success": false,
"errors": [
{
"code": 454,
"message": "Invalid endpoint"
}
],
"trackingId": "68c168dd04829387650a476d"
}429
{
"success": false,
"errors": [
{
"code": 452,
"message": "Invalid rate plan mapping"
}
],
"trackingId": "68c168dd04829387650a476d"
}500
{
"success": false,
"errors": [
{
"code": 500,
"message": "Internal server error"
}
],
"trackingId": "68c168dd04829387650a476d"
}502
{
"success": false,
"errors": [
{
"code": 502,
"message": "Bad gateway"
}
],
"trackingId": "68c168dd04829387650a476d"
}503
{
"success": false,
"errors": [
{
"code": 503,
"message": "Service unavailable"
}
],
"trackingId": "68c168dd04829387650a476d"
}504
{
"success": false,
"errors": [
{
"code": 504,
"message": "Endpoint request timed-out"
}
],
"trackingId": "68c168dd04829387650a476d"
}